	local Image = love.graphics.newImage("Image.png")
	local Imagesx = Image:getWidth()
	local Imagesy = Image:getHeight()
	local chosen = 2
	local number = 1
	local mathmax = math.max--optimesation
	local mathmin = math.min--optimesation
	local mathrandom = math.random--optimesation
	local Effects = {
		{
			name = "Lines",
			tfunction =	function(x,y,r,g,b,a)
				if y%number == 0 then
					return r,g,b,a
				else
					return 255,255,255,255
				end
			end
		},
		{
			name = "Distort",
			tfunction =	function(x,y,r,g,b,a)
				local dx = 0
				if x < (number+1) then
					dx = mathrandom(0,number)
				elseif x > Imagesx-(number+1) then
					dx = mathrandom(-number,0)
				else
					dx = mathrandom(-number,number)
				end
				local dy = 0
				if y < (number+1) then
					dy = mathrandom(0,number)
				elseif y > Imagesy-(number+1) then
					dy = mathrandom(-number,0)
				else
					dy = mathrandom(-number,number)
				end
				return Image:getPixel(x+dx,y+dy)
			end
		},
		{
			name = "Normal",
			tfunction =	function(x,y,r,g,b,a)
				return r,g,b,a
			end
		},
		{
			name = "Noise",
			tfunction =	function(x,y,r,g,b,a)
				return r+mathrandom(-number,number),g+mathrandom(-number,number),b+mathrandom(-number,number),a
			end
		},
		{
			name = "Saturation",
			tfunction =	function(x,y,r,g,b,a)
				local avg = (r+g+b)/3
				r = mathmax(0, mathmin(255, avg+(r-126)*(number/30)))
				g = mathmax(0, mathmin(255, avg+(g-126)*(number/30)))
				b = mathmax(0, mathmin(255, avg+(b-126)*(number/30)))
				return r,g,b,a
			end
		},
		{
			name = "Black and white",
			tfunction =	function(x,y,r,g,b,a)
				local avg = (r+g+b)/3
				return avg,avg,avg,a
			end
		},
		{
			name = "Brightness",
			tfunction =	function(x,y,r,g,b,a)
				r = mathmax(0, mathmin(255, r+number*4))
				g = mathmax(0, mathmin(255, g+number*4))
				b = mathmax(0, mathmin(255, b+number*4))
				return r,g,b,a
			end
		},
		{
			name = "Invert",
			tfunction =	function(x,y,r,g,b,a)
				return  255-r,255-g,255-b,a
			end
		},
		{
			name = "Shift",
			tfunction =	function(x,y,r,g,b,a)
				return  g,b,r,a
			end
		}
	}
	function final()
		math.randomseed(os.time())
		Image = love.image.newImageData("Image.png")--refresh image
		Image:mapPixel(Effects[chosen].tfunction)--effect the image
		Image = love.graphics.newImage(Image)--make the image draweble
	end
	function love.keypressed(key)
		if key == "right" then
			if chosen < #Effects then
				chosen = chosen+1
			else
				chosen = 1
			end
			final()
		elseif key == "left" then
			if chosen > 1 then
				chosen = chosen-1
			else
				chosen = #Effects
			end
			final()
		elseif key == "up" then
			number = number+1
			final()		
		elseif key == "down" then
			number = number-1
			final()
		end
	end
	function love.draw()
		love.graphics.setColor(255,255,255)
		love.graphics.draw(Image,0,0)
		love.graphics.setColor(0,0,0)
		love.graphics.print("Mode : "..Effects[chosen].name,0,0)
		love.graphics.print("The Number : "..number,0,15)
	end